using ERP.Core;
using ERP.Framework.Constants;

namespace ERP
{
    public class Program
    {
        public static void Main(string[] args)
        {
            Console.Title = "ERP.Application";
            Console.WriteLine($@"
                      _____ ____  ____    ____  ____  ____  _     _  ____  ____  _____  _  ____  _
                     /  __//  __\/  __\  /  _ \/  __\/  __\/ \   / \/   _\/  _ \/__ __\/ \/  _ \/ \  /|
                     |  \  |  \/||  \/|  | / \||  \/||  \/|| |   | ||  /  | / \|  / \  | || / \|| |\ ||
                     |  /_ |    /|  __/__| |-|||  __/|  __/| |_/\| ||  \_ | |-||  | |  | || \_/|| | \||
                     \____\\_/\_\\_/   \/\_/ \|\_/   \_/   \____/\_/\____/\_/ \|  \_/  \_/\____/\_/  \|

               ----------------------------------------------------------------------------------------------
                                 Start Time:  {DateTime.Now.ToString(DateTimeConstant.DATE_LONG)}");

            var app = WebApplication
                .CreateBuilder(args)
                .InitApplication()
                .Build();

            app.InitConfigure();
            app.Run();
        }
    }
}