﻿using ERP.Framework.Enum;
using ERP.Framework.WebApi;
using System.ComponentModel.DataAnnotations.Schema;

namespace ERP.Core.Entities
{
    [Table("sys_role")]
    public class SysRole : BaseEntity
    {
        /// <summary>
        ///
        /// </summary>
        public virtual string RoleName { get; set; } = string.Empty;

        /// <summary>
        ///
        /// </summary>
        public virtual string RoleKey { get; set; } = string.Empty;

        /// <summary>
        ///
        /// </summary>
        public virtual int OrderNum { get; set; }

        /// <summary>
        ///
        /// </summary>

        public virtual StatusEnum RoleStatus { get; set; }

        /// <summary>
        ///
        /// </summary>

        public virtual StatusEnum DataStatus { get; set; }
    }
}