﻿// <author></author>
// <date></date>
// <description></description>

using ERP.Framework.Constants;
using ERP.Framework.Enum;

namespace ERP.Framework.Config
{
    public class LogConfig
    {
        /// <summary>
        /// 日志类别
        /// </summary>
        public LogTypeEnum LogType { get; set; }

        /// <summary>
        /// 文件地址
        /// </summary>
        public string FilePath { get; set; } = FrameworkConstant.LOGGING_FILE_PATH;

        /// <summary>
        /// Els 地址
        /// </summary>
        public string? Address { get; set; }

        /// <summary>
        /// Els 用户名
        /// </summary>
        public string? UserName { get; set; }

        /// <summary>
        /// Els 密码
        /// </summary>
        public string? Password { get; set; }
    }
}