﻿namespace ERP.Framework.Constants
{
    public class AuthConstant
    {
        /// <summary>
        /// 权鉴 Hearder
        /// </summary>
        public const string HEADER = "Authorization";

        /// <summary>
        /// 登录用户密码错误
        /// </summary>
        public const string PASSWORD_ERROR = "auth:password-error:";

        /// <summary>
        ///
        /// </summary>
        public const string ONLINE_TOKEN = "auth:online-token:";

        /// <summary>
        /// 最后一次登录时间(时限为token 长久有效期),
        /// null为token失效
        /// -1 为被踢出
        /// -2 为被顶下线
        /// </summary>
        public const string LAST_ACTIVITY = "auth:last-activity:";

        /// <summary>
        ///  用戶信息
        /// </summary>
        public const string USER_INFO = "auth:user-info:";

        /// <summary>
        /// Token List
        /// </summary>
        public const string TOKEN_LIST = "auth:token-list:";

        /// <summary>
        /// 被踢下线
        /// </summary>
        public const string KICKED_OFF = "-1";

        /// <summary>
        /// 被顶下线
        /// </summary>
        public const string SUBSTITUTED = "-2";

        /// <summary>
        /// 首次密码错误
        /// </summary>
        public const string FIRST_PASSWORD_ERROR = "1";
    }
}