﻿// <author></author>
// <date></date>
// <description></description>

namespace ERP.Framework.Exceptions
{
    /// <summary>
    /// 通用异常类
    /// </summary>
    public class CodeException : Exception
    {
        /// <summary>
        /// Code编号
        /// </summary>
        public int Code { get; set; }

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="code"></param>
        /// <param name="message"></param>
        public CodeException(int code, string? message) : base(message)
        {
            Code = code;
        }
    }
}