﻿// <author></author>
// <date></date>
// <description></description>

using System.Net;

namespace ERP.Framework.Exceptions
{
    /// <summary>
    /// Http异常类
    /// </summary>
    public class HttpException : Exception
    {
        /// <summary>
        /// Http状态码
        /// </summary>
        public HttpStatusCode HttpCode { get; set; }

        /// <summary>
        /// 通用状态码
        /// </summary>
        public int Code { get; set; }

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="code"></param>
        /// <param name="message"></param>
        public HttpException(int code, string message) : base(message)
        {
            Code = code;
        }
    }
}