﻿// <author></author>
// <date></date>
// <description></description>

using System.Resources;

namespace ERP.Framework.Resource
{
    public class FrameworkI18N
    {
        private static readonly ResourceManager _resourceManager = new ResourceManager(typeof(FrameworkI18N));

        /// <summary>
        /// 无法获取当前Ip
        /// </summary>
        public static string? NoIP => GetString("NoIP");

        /// <summary>
        /// token 失效
        /// </summary>
        public static string? TokenValidate => GetString("TokenValidate");

        /// <summary>
        /// 长时间未操作
        /// </summary>
        public static string? IdleTimeOut => GetString("IdleTimeOut");

        /// <summary>
        /// 被踢下线
        /// </summary>
        public static string? KickedOut => GetString("KickedOut");

        /// <summary>
        /// 被顶下线
        /// </summary>
        public static string? ConcurrentLogin => GetString("ConcurrentLogin");

        /// <summary>
        /// token 失效
        /// </summary>
        public static string? NoPermission => GetString("NoPermission");

        /// <summary>
        /// 无法获得当前用户
        /// </summary>
        public static string? NoUser => GetString("NoUser");

        /// <summary>
        /// 获取对应的I18N消息
        /// </summary>
        /// <param name="name"></param>
        /// <returns></returns>
        public static string? GetString(string name)
        {
            return _resourceManager.GetString(name);
        }
    }
}