﻿// <author></author>
// <date></date>
// <description></description>

using System.ComponentModel.DataAnnotations.Schema;

namespace ERP.Framework.WebApi
{
    public class TreeEntity<T> : BaseEntity where T : class
    {
        /// <summary>
        /// 父Id
        /// </summary>
        public virtual long ParentId { get; set; }

        /// <summary>
        /// 树级
        /// </summary>
        public virtual int NodeLevel { get; set; }

        /// <summary>
        /// 排序数
        /// </summary>
        public virtual int OrderNum { get; set; }

        /// <summary>
        /// 祖级列表
        /// </summary>
        public virtual string? TreeIds { get; set; }

        [NotMapped]
        public virtual List<T>? Children { get; set; }
    }
}